import { Statement, TemplateStatement } from "../parser/statements";
export declare type LiteralValue = string | number | boolean | null | undefined | object;
export declare function run(ast: TemplateStatement, context: object, extraHelpers: Map<string, Function>): Promise<string>;
export declare function runStatements(statements: Statement[], context: object, extraHelpers: Map<string, Function>): Promise<string>;
export declare function runStatement(statement: Statement, context: object, extraHelpers: Map<string, Function>): Promise<LiteralValue>;
